Upstream information

CVE-2016-6250 at MITRE

Description

Integer overflow in the ISO9660 writer in libarchive before 3.2.1 allows remote attackers to cause a denial of service (application crash) or execute arbitrary code via vectors related to verifying filename lengths when writing an ISO9660 archive, which trigger a buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.3
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial None
Integrity Impact Partial None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.6
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 989980 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libarchive >= 3.1.2-25.1
  • libarchive13 >= 3.1.2-25.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1698
SUSE Linux Enterprise Desktop 12 SP2
  • libarchive >= 3.1.2-25.1
  • libarchive13 >= 3.1.2-25.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2016-1698
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
  • libarchive13 >= 3.1.2-25.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libarchive13 >= 3.1.2-26.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libarchive-devel >= 3.3.2-3.8.4
  • libarchive13 >= 3.3.2-3.8.4
SUSE Linux Enterprise Module for Basesystem 15
  • libarchive-devel >= 3.3.2-1.27
  • libarchive13 >= 3.3.2-1.27
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • bsdtar >= 3.3.2-3.8.4
SUSE Linux Enterprise Module for Development Tools 15
  • bsdtar >= 3.3.2-1.27
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libarchive >= 3.1.2-25.1
  • libarchive13 >= 3.1.2-25.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1698
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libarchive >= 3.1.2-25.1
  • libarchive13 >= 3.1.2-25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1698
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libarchive >= 3.1.2-25.1
  • libarchive13 >= 3.1.2-25.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2016-1698
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libarchive >= 3.1.2-25.1
  • libarchive-devel >= 3.1.2-25.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1698
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libarchive >= 3.1.2-25.1
  • libarchive-devel >= 3.1.2-25.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2016-1698
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libarchive-devel >= 3.1.2-25.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libarchive-devel >= 3.1.2-26.3.1
openSUSE Leap 15.0
  • libarchive13 >= 3.3.2-lp150.1.9
Patchnames:
openSUSE Leap 15.0 GA libarchive13
openSUSE Leap 42.1
  • bsdtar >= 3.1.2-16.1
  • bsdtar-debuginfo >= 3.1.2-16.1
  • libarchive >= 3.1.2-16.1
  • libarchive-debugsource >= 3.1.2-16.1
  • libarchive-devel >= 3.1.2-16.1
  • libarchive13 >= 3.1.2-16.1
  • libarchive13-32bit >= 3.1.2-16.1
  • libarchive13-debuginfo >= 3.1.2-16.1
  • libarchive13-debuginfo-32bit >= 3.1.2-16.1
Patchnames:
openSUSE-2016-1404
openSUSE Leap 42.2
  • bsdtar >= 3.1.2-16.1
  • bsdtar-debuginfo >= 3.1.2-16.1
  • libarchive >= 3.1.2-16.1
  • libarchive-debugsource >= 3.1.2-16.1
  • libarchive-devel >= 3.1.2-16.1
  • libarchive13 >= 3.1.2-16.1
  • libarchive13-32bit >= 3.1.2-16.1
  • libarchive13-debuginfo >= 3.1.2-16.1
  • libarchive13-debuginfo-32bit >= 3.1.2-16.1
Patchnames:
openSUSE-2016-1405
openSUSE Leap 42.3
  • bsdtar >= 3.1.2-19.3
  • libarchive-devel >= 3.1.2-19.3
  • libarchive13 >= 3.1.2-19.3
Patchnames:
openSUSE Leap 42.3 GA bsdtar
openSUSE Tumbleweed
  • bsdtar >= 3.2.2-2.1
  • libarchive-devel >= 3.2.2-2.1
  • libarchive13 >= 3.2.2-2.1
  • libarchive13-32bit >= 3.2.2-2.1
Patchnames:
openSUSE Tumbleweed GA bsdtar


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 libarchive Ignore
SUSE Linux Enterprise Desktop 12 SP1 libarchive Released
SUSE Linux Enterprise Desktop 12 SP2 libarchive Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libarchive Released
SUSE Linux Enterprise Server 12 libarchive Ignore
SUSE Linux Enterprise Server 12 SP1 libarchive Released
SUSE Linux Enterprise Server 12 SP2 libarchive Released
SUSE Linux Enterprise Server 12 SP5 libarchive Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libarchive Released
SUSE Linux Enterprise Server for the Raspberry Pi libarchive Released
SUSE Linux Enterprise Software Development Kit 12 libarchive Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libarchive Released